Skip to main content
GET
/
api
/
v2
/
opportunity
/
{opportunity_id}
Read one opportunity
curl --request GET \
  --url https://api.example.com/api/v2/opportunity/{opportunity_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "attributes": {
      "id": {
        "value": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "value_type": "uuid"
      },
      "organization_id": {
        "value": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "value_type": "uuid"
      },
      "created_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "display_name": {
        "value": "<string>",
        "value_type": "string"
      },
      "status": {
        "value": "<string>",
        "value_type": "enum"
      },
      "stage": {
        "value": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "display_value": "<string>",
          "api_name": "<string>",
          "color": "<string>",
          "closing_probability": "<string>",
          "expected_days": 123
        },
        "value_type": "opportunity_stage"
      },
      "owner_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "account_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "participant_user_id_list": [
        {
          "value": {
            "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "related_record_type": "<string>"
          },
          "value_type": "record_reference"
        }
      ],
      "created_by_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "updated_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "next_step_details": {
        "value": "<string>",
        "value_type": "long_text"
      },
      "next_step_due_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "next_meeting_date": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "target_go_live_date": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "amount": {
        "value": {
          "amount": "<string>"
        },
        "value_type": "currency"
      },
      "forecast_weighted_amount": {
        "value": {
          "amount": "<string>"
        },
        "value_type": "currency"
      },
      "outcome": {
        "value": "<string>",
        "value_type": "enum"
      },
      "created_source": {
        "value": "<string>",
        "value_type": "enum"
      },
      "anticipated_closing_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "closed_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "archived_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "expires_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_activity_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_voice_call": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_meeting": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_global_thread": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_engaged_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_outreached_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_inbound_meeting_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_inbound_voice_call_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_inbound_global_thread_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_outbound_meeting_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_outbound_voice_call_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "last_outbound_global_thread_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "stage_last_shifted_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "owner_team_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "closed_by_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "primary_contact_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "updated_by_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "closed_lost_custom_detail": {
        "value": "<string>",
        "value_type": "long_text"
      },
      "closed_won_custom_detail": {
        "value": "<string>",
        "value_type": "long_text"
      },
      "competitors_mentioned_other": [
        {
          "value": "<string>",
          "value_type": "string"
        }
      ],
      "primary_competitor_other": {
        "value": "<string>",
        "value_type": "string"
      },
      "type_id": {
        "value": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "display_value": "<string>",
          "api_name": "<string>",
          "color": "<string>"
        },
        "value_type": "select"
      }
    },
    "record_type": "opportunity"
  }
}

Authorizations

Authorization
string
header
required

Reevo API key passed as Authorization: Bearer <api-key>.

Path Parameters

opportunity_id
string<uuid>
required

Response

Successful Response

Wrapper around a single OpportunityObjectRecord — GET / POST / PATCH.

data
OpportunityObjectRecord · object
required